NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.FourPointSurfaceBuilder Class Reference

Represents a four point sheet body builder More...

Inheritance diagram for NXOpen.FourPointSurfaceBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.Point Point1 [get, set]
 Returns or sets the first point More...
 
unsafe NXOpen.Point Point2 [get, set]
 Returns or sets the second point More...
 
unsafe NXOpen.Point Point3 [get, set]
 Returns or sets the third point More...
 
unsafe NXOpen.Point Point4 [get, set]
 Returns or sets the fourth point More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a four point sheet body builder

To create a new instance of this class, use NXOpen.BodyCollection.CreateFourPointSurfaceBuilder

Created in NX6.0.0

Property Documentation

unsafe NXOpen.Point NXOpen.FourPointSurfaceBuilder.Point1
getset

Returns or sets the first point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.FourPointSurfaceBuilder.Point2
getset

Returns or sets the second point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.FourPointSurfaceBuilder.Point3
getset

Returns or sets the third point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Point NXOpen.FourPointSurfaceBuilder.Point4
getset

Returns or sets the fourth point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.